Openwall GNU/*/Linux - a small security-enhanced Linux distro for servers
[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Date: Thu, 9 Dec 2004 23:51:48 +0200
From: Ruslan Radvansky <ruslan@...l.lviv.ua>
To: Galaxy <owl-users@...ts.openwall.com>
Subject: Re[2]: Rpm updating bug?

Hello Galaxy,

Thursday, December 9, 2004, 10:17:41 PM, you wrote:


G> There is no ISO for Owl-current yet. So, the only option you have is to
G> mirror /pub/Owl/current/i386 directory from one of Openwall mirrors. You
G> can accomplish this by issuing "mir -L i386" in your lftp client. Next
G> thing you needed is native.tar.gz.
[skip]
G> $ make installworld

 While I investigate my problem, I found that:
1) In changes-current file:
==============================================
rpm 4.2 (with support for db1-format packages database re-introduced
to allow for upgrades from older versions of Owl). 
==============================================
2) rpm 4.2 reject to install because old db1-format database found.
3) rpmd from rpm 4.2 distribution reject to upgrade database to new
format because phases of the Moon.

My propose to developers: remove from %pre section of rpm.spec file,
checking for old database format because it supported.

Sorry, downloading of all rpms is to expensive for me and I check1ng
"teoretically". I not trust that "make installworld" solve my problem.

-- 
Best regards,
 Ruslan                            mailto:ruslan@...l.lviv.ua

Powered by blists - more mailing lists

Your e-mail address:

Confused about mailing lists and their use? Read about mailing lists on Wikipedia and check out these guidelines on proper formatting of your messages.